  #mismatch_message_container{
      background-color: ;
        height: 40vh;
        overflow-y: scroll;
        padding:10px;
        margin:auto;
        width:50%;
        /box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.2);
        border-radius: 5px;
        /border:2px solid #8d2a99;
        border:4px solid #931a61;
        font-size:100%;
    		font-family: arial;
    		animation: show_slow 0.1s linear forwards;
    		}

  @keyframes show_slow {
    				from{transform:scale(0);}
    				to{transform:scale(1);}
          }

  #mismatch_message_container::-webkit-scrollbar-track
    {
            height:95%;
          	/-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
            /border-left:1px solid pink;
          	border-radius: 15px;
          	background-color: #FFF;
    }

  #mismatch_message_container::-webkit-scrollbar
    {
          	width: 10px;
            background-color: #FFF;
    }

  #mismatch_message_container::-webkit-scrollbar-thumb
    {
          	border-radius: 15px;
          	/ -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          	background-color:#8917a5;
            background-color:red;
  }


  #mismatch_message_container .msg_box_1,#mismatch_message_container .msg_box_2{
    height: auto;
    overflow: hidden;
   //border: 3px solid black;
  }

  #mismatch_message_container .msg_box_1{
  text-align: right;
  }

  #mismatch_message_container .msg_box_2{
    text-align: left;
  }

  #mismatch_message_container .msg_from_you{
    text-align: left;
    display:inline-block;
    padding: 2%;
    margin:4px;
  background-color:#997cff;
    color:white;
    box-shadow: 1px 1px 1px 1px rgba(0, 0, 0, 0.1);
    /color:green;
    border-radius: 10px;
  /border:2px solid green;
  }

  #mismatch_message_container .reply_from_other_user{
    display: inline-block;
    padding: 2%;
    background-color:#17a82f;
    margin:4px;
    color:white;
    box-shadow: 1px 1px 1px 1px rgba(0, 0, 0, 0.1);
    /color:red;
    border-radius: 10px;
    /border:2px solid red;
  }

  #mismatch_send_box {
    text-align: center;
    margin:10px;
  }

  #mismatch_send_box #msg{
      outline: none;
      display: block;
      text-align: left;
      min-width: 50%;
      max-width:50%;
      max-height:10vh;
      min-height: 10vh;
      overflow-y: hidden;
      vertical-align: center;
      margin:auto;
      width:50%;
      /box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.2);
      border: 2px solid orange;
      font-size:100%;
      font-family: arial;
  }

  #mismatch_send_box #msg_send_btn{
    cursor:pointer;
    margin:2vh;
    border:none;
    background-color: #8d2a99;
    color:white;
    width:20%;
    line-height: 4vh;
  }

  .all_msgs_time{
    display:none;
  }
  #block_button_container{
   text-align: center;
  }

  #block-button{
    margin:4px;
   background-color: black;
   line-height: 4vh;
   color:white;
   border: none;
   width:20%;
   cursor:pointer;
  }

#block_msg{
  margin:4vh;
  text-align: center;
  /background-color: red;
  color:black;
  border:1px solid brown;
}
